Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065759 - routes are configured inconsistently and sometimes incorrectly
Summary: routes are configured inconsistently and sometimes incorrectly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 17:48 UTC by Pete Travis
Modified: 2014-06-27 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-27 23:13:49 UTC


Attachments (Terms of Use)

Description Pete Travis 2014-02-16 17:48:30 UTC
Description of problem:

I have a system with two interfaces using a shared physical network but with address assignments to different subnets. When renewing addresses, the system's routing tables will sometimes be missing the default route or assign a dedicated route to a name resolver on the wrong interface. 


Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-28.git20131003.fc20.x86_64
dhclient-4.2.6-1.fc20.x86_64


dhcpd is configured to:
assign em1 as 192.168.5.?/24 gw 192.168.5.1 dns 192.168.5.3
assign em2 as 192.168.1.?/24 gw 192.168.1.1 dns 192.168.1.3

Some examples:
$ ip route
  192.168.1.0/24 dev em2  proto kernel  scope link  src 192.168.1.167
  192.168.1.3 via 192.168.5.1 dev em1  proto static  metric 1
  192.168.5.0/24 dev em1  proto kernel  scope link  src 192.168.5.47
  192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1

$ ip route
  default via 192.168.5.1 dev em1  proto static  metric 1024
  192.168.1.3 via 192.168.5.1 dev em1  proto static  metric 1
  192.168.5.0/24 dev em1  proto kernel  scope link  src 192.168.5.47
  192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1

$ ip route
  default via 192.168.1.1 dev em2  proto static  metric 1024
  192.168.1.0/24 dev em2  proto kernel  scope link  src 192.168.1.167
  192.168.1.3 via 192.168.5.1 dev em1  proto static  metric 1
  192.168.5.0/24 dev em1  proto kernel  scope link  src 192.168.5.49
  192.168.5.3 via 192.168.1.1 dev em2  proto static  metric 1
  192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1


Will follow up with debug messages.

Comment 1 Pete Travis 2014-02-17 03:52:58 UTC
journal output at http://immanetize.fedorapeople.org/nm_debug_log - hope it's useful.

Comment 2 Pete Travis 2014-06-27 23:13:49 UTC
No more problems in current rawhide; I can't say when it happened, but thanks anyway, Dan.


Note You need to log in before you can comment on or make changes to this bug.